<!--
  Generated template for the LoginPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="transparent">
  <ion-navbar>
    <ion-title><span class="text-theme">Sign In</span></ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
    <div class="login">

    	<div class="text-center" ion-text-center>
    		<h2 ion-text-center class="text-theme">Welcome back!</h2>
    		<p>Please log in to your account using the following options:</p>
		</div>

		<form [formGroup]="credentialsForm">
			<ion-list class="form">
				<ion-item>
			    	<ion-label>Email</ion-label>
			    	<ion-input [formControl]="credentialsForm.controls['email']"
			        type="email" ></ion-input>
			  	</ion-item>
			  
			  	<ion-item>
			    	<ion-label>Password</ion-label>
			    	<ion-input [formControl]="credentialsForm.controls['password']"
			        type="password" ></ion-input>
			  	</ion-item>      

			  	<ion-row>
			    	<ion-col text-center>
			      		<button ion-button block class="bg-theme text-white btn rounded" (click)="onSignIn()">Sign In</button>
			    	</ion-col>
			  	</ion-row>

			  	<ion-row>
			    	<ion-col text-center>
			      		<button ion-button clear color="medium" class="button-textlink" (click)="onForgotPassword()">Forgot password?</button>
			    	</ion-col>
			  	</ion-row>

			  	<!-- Log in with Facebook -->
			  	<ion-row>
			  		<ion-col><button ion-button full color="facebook" class="text-white btn rounded small" (click)="loginFacebook()"><img src="assets/imgs/fb_white.png" width="30px">
                    <span>Continue with Facebook</span></button></ion-col>
			  	</ion-row>

			</ion-list>
		</form>
	</div>
</ion-content>
